Zendesk (Helpdesk)

Integrate your application with the Zendesk API

🚀 Quickstart

Connect to Zendesk with Tenklo and see data flow in 2 minutes.

Create an integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Zendesk.

Authorize Zendesk

Go to Connections -> Add Test Connection -> Authorize, then log in to Zendesk. Later, you'll let your users do the same directly from your app.

Call the Zendesk API

Let's make your first request to the Zendesk API (fetch a list of tickets). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api/v2/search?query=type:ticket&per_page=10" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials dynamically via the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Zendesk Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Zendesk API documentation

🧩 Pre-built syncs & actions for Zendesk

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Groups

Function nameDescriptionTypeSource code
groupsSync support groups from Zendesk.Sync🔗 Github

Others

Function nameDescriptionTypeSource code
create-categoryCreate a Zendesk Help Center categoryAction🔗 Github
create-organizationCreate an organization in Zendesk SupportAction🔗 Github
create-sectionCreate a Zendesk Help Center sectionAction🔗 Github
create-ticketCreate a support ticket in ZendeskAction🔗 Github
create-userCreate a user in Zendesk Support.Action🔗 Github
delete-userDelete a Zendesk userAction🔗 Github
get-articleRetrieve a Zendesk Help Center article by ID.Action🔗 Github
get-groupRetrieve a group by ID.Action🔗 Github
get-organizationRetrieve an organization by ID.Action🔗 Github
get-ticket-commentsList comments for a ticket.Action🔗 Github
get-ticket-fieldRetrieve a ticket field by ID.Action🔗 Github
get-ticket-formRetrieve a ticket form by ID.Action🔗 Github
get-ticketRetrieve a ticket by ID.Action🔗 Github
get-userRetrieve a user by ID.Action🔗 Github
list-articlesList Zendesk Help Center articles with paginationAction🔗 Github
list-groupsList support groupsAction🔗 Github
list-macrosList ticket macros available to the accountAction🔗 Github
list-organizationsList organizations in Zendesk Support.Action🔗 Github
list-ticket-fieldsList ticket fields for the account.Action🔗 Github
list-ticket-formsList ticket forms for the account.Action🔗 Github
list-ticketsList tickets in Zendesk SupportAction🔗 Github
list-usersList users in Zendesk Support.Action🔗 Github
list-viewsList ticket views for the accountAction🔗 Github
search-ticketsSearch tickets with Zendesk search syntax.Action🔗 Github
update-organizationUpdate an existing organization in Zendesk.Action🔗 Github
update-ticketUpdate an existing ticket and optionally add a commentAction🔗 Github
update-userUpdate an existing user.Action🔗 Github
articlesSync Zendesk Help Center articlesSync🔗 Github
categoriesSync Zendesk Help Center categoriesSync🔗 Github
macrosSync ticket macros from ZendeskSync🔗 Github
organizationsSync organizations from Zendesk using incremental exportSync🔗 Github
sectionsSync Zendesk Help Center sectionsSync🔗 Github
ticket-commentsSync comments for tickets provided in metadataSync🔗 Github
ticket-fieldsSync ticket field definitions from ZendeskSync🔗 Github
ticket-formsSync ticket forms from ZendeskSync🔗 Github
ticketsSync tickets from Zendesk SupportSync🔗 Github
usersSync users from Zendesk Support using incremental cursor-based exportsSync🔗 Github
viewsSync ticket views from ZendeskSync🔗 Github

On this page